libpkgconfig-perl_0.19026-1_all.deb


Advertisement

Description

libpkgconfig-perl - Pure-Perl Core-Only replacement for pkg-config

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpkgconfig-perl
Package version 0.19026
Package release 1
Package architecture all
Package type deb
Installed size 128 B
Download size 28.74 KB
Official Mirror archive.ubuntu.com
PkgConfig provides a pure-perl, core-only replacement for the
pkg-config utility.
While pkg-config is a compiled binary linked with glib,
the pure-perl version has no such requirement, and will run
wherever Perl ( >= 5.6 ) does.
The package provides a pure perl binary called ppkg-config which
can be used as well as pkg-config.

Alternatives

Package Version Architecture Repository
libpkgconfig-perl_0.19026-1_all.deb 0.19026 all Ubuntu Universe
libpkgconfig-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libpkgconfig-perl_0.19026-1_all.deb
Source Package libpkgconfig-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpkgconfig-perl deb package:
    # sudo apt-get install libpkgconfig-perl

Files

Path
/usr/bin/ppkg-config
/usr/share/doc/libpkgconfig-perl/changelog.Debian.gz
/usr/share/doc/libpkgconfig-perl/copyright
/usr/share/lintian/overrides/libpkgconfig-perl
/usr/share/man/man1/ppkg-config.1p.gz
/usr/share/man/man3/PkgConfig.3pm.gz
/usr/share/perl5/PkgConfig.pm

Changelog

2018-01-08 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.19026-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.19026.
2018-01-01 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.18026-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.18026.
* Drop spelling.patch, applied upstream.
* Declare compliance with Debian Policy 4.1.3.
* Bump debhelper compatibility level to 10.
2017-11-20 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.17026-1) unstable; urgency=medium
* Team upload.
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Import upstream version 0.17026
* Update 0001-Adjust-path-to-ppkg-config-in-test-scripts.patch.
* Declare compliance with Debian Policy 4.1.1.
* Remove trailing whitespace in debian/control.
Thanks to pedantic lintian.
* Add a build dependency on libcapture-tiny-perl; used in a new test.
* Add a spelling patch.
2016-05-12 - Wolfgang Fütterer <debian@wlf-online.de>
libpkgconfig-perl (0.12026-1) unstable; urgency=medium
[ Wolfgang Fütterer ]
* Imported Upstream version 0.12026
* Drop spelling patch
* Fixed spelling error in d/copyright
* Adjust standards-version
[ gregor herrmann ]
* Drop explicit build dependency on Test::More.
The required version is available in oldstable, and oldoldstable is gone
by now.
2016-02-07 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.11026-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* Import upstream version 0.11026.
* Drop spelling.patch, merged upstream.
* Declare compliance with Debian Policy 3.9.7.
* Add a new spelling.patch.
* Add lintian overrides for false positives about
old-style-config-script*.
2016-01-18 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.10026-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.10026.
* Update debian/upstream/metadata (new GitHub URL).
* Refresh 0001-Adjust-path-to-ppkg-config-in-test-scripts.patch
(offset).
* debian/copyright: add information about new third-party files.
* Add a patch to fix a spelling mistake.
2015-11-28 - gregor herrmann <gregoa@debian.org>
libpkgconfig-perl (0.09026-2) unstable; urgency=medium
* Team upload.
* Disable use.t autopkgtest.
dpkg-architecture issues warnings when gcc is not installed.
(Closes: #806536)
2015-11-05 - Wolfgang Fütterer <debian@wlf-online.de>
libpkgconfig-perl (0.09026-1) unstable; urgency=low
* Initial Release (Closes: #804016)

See Also

Package Description
libplacebo-dev_0.4.0-2_i386.deb GPU-accelerated video/image rendering primitives (development files)
libplacebo4_0.4.0-2_i386.deb GPU-accelerated video/image rendering primitives (shared library)
libplack-app-proxy-perl_0.29-1_all.deb Plack::App::Proxy - middleware-aware proxy application for Plack
libplack-builder-conditionals-perl_0.05-1_all.deb Plack::Builder extension for Conditionals
libplack-handler-anyevent-fcgi-perl_0.01-1_all.deb asynchronous FCGI handler for PSGI using AnyEvent::FCGI
libplack-middleware-cache-perl_0.14-1_all.deb Plack middleware for caching responses of certain URLs
libplack-middleware-crossorigin-perl_0.012-1_all.deb Plack middleware adding headers to allow CORS
libplack-middleware-csrfblock-perl_0.10-2_all.deb Plack middleware to block CSRF (cross-site request forgery)
libplack-middleware-deflater-perl_0.12-1ubuntu1_all.deb middleware to compress response body with gzip or deflate
libplack-middleware-expires-perl_0.06-1_all.deb mod_expires for plack
libplack-middleware-file-sass-perl_0.03-4_all.deb Sass and SCSS support for all Plack-based PSGI frameworks
libplack-middleware-fixmissingbodyinredirect-perl_0.11-1_all.deb Plack::Middleware which ensures redirect response have a body
libplack-middleware-header-perl_0.04-1_all.deb Plack middleware to modify HTTP response headers
libplack-middleware-logany-perl_0.001-1_all.deb use Log::Any to handle logging from your Plack app
libplack-middleware-logerrors-perl_0.002-1_all.deb map psgi.errors to psgix.logger or other logger
Advertisement
Advertisement